Bug 215572 - getaliasbyname segfaults when reading "name: :include:/path" alias
Summary: getaliasbyname segfaults when reading "name: :include:/path" alias
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 4.4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-14 17:43 UTC by Rimas
Modified: 2016-11-24 15:14 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0210
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 23:11:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0210 normal SHIPPED_LIVE glibc bug fix update 2007-04-28 17:26:43 UTC

Description Rimas 2006-11-14 17:43:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; .NET CLR 2.0.50727)

Description of problem:
If /etc/aliases file has aliases of form:

name:  :include:/path

then getaliasbyname("name") glibc function causes segmentation fault when reading such alias.

Version-Release number of selected component (if applicable):
glibc-2.3.4-2.25

How reproducible:
Always


Steps to Reproduce:
1. Add ":include:" alias to /etc/aliases file, for example:
mylist:  :include:/etc/mail/mylist
2. Create file /etc/mail/mylist with some entries, for example:
root
3. Write, compile and run such C program:

#include <aliases.h>
#include <stdio.h>

int main() {
  struct aliasent *al = getaliasbyname("mylist");
  if (al) puts("Alias OK!");
  return 0;
}


Actual Results:
Segmentation fault

Expected Results:
Alias OK!

Additional info:
Same result if I use getent:

# getent aliases mylist
Segmentation fault

Comment 1 Jakub Jelinek 2006-11-14 18:41:51 UTC
Reproduced even in Fedora development.

Comment 3 RHEL Product and Program Management 2006-11-15 07:23:34 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 Red Hat Bugzilla 2007-05-01 23:11:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0210.html



Note You need to log in before you can comment on or make changes to this bug.